import ephem
import datetime

trento = ephem.Observer()
trento.lon = '11.121064'
trento.lat = '46.070888'
trento.elevation = 194

sole = ephem.Sun()
sei_di_mattina = datetime.datetime.strptime("2018-01-01 06:00","%Y-%m-%d %H:%M")
cinque_di_sera = datetime.datetime.strptime("2018-01-01 17:00","%Y-%m-%d %H:%M")
quarto_d_ora = datetime.timedelta(minutes=15)

ora = sei_di_mattina
while ora <= cinque_di_sera:
    trento.date = ora
    sole.compute(trento)
    print('Ora %s: Azimut: %s - Altezza: %s' % (ora, sole.az, sole.alt))
    ora += quarto_d_ora