import ephem
import datetime

sole = ephem.Sun()
primo_gennaio = datetime.datetime.strptime("2018-01-01","%Y-%m-%d")
sette_giorni = datetime.timedelta(days=7)

for num_settimane in range(0, 53):
    data = primo_gennaio + sette_giorni * num_settimane
    sole.compute(data)
    print('Data %s (settimana n°%d): %s' % (data, num_settimane, ephem.constellation(sole)))
